{% extends 'blog/base.html' %} {% block content %}
<form id="formCreateBlog">
  <input type="text" name="title" />
  <br />
  <br />
  <textarea name="content" rows="10" cols="70"></textarea>
  <button type="submit">Create</button>
</form>
{% endblock content %} {% block script %}
<script>
  var socket = new WebSocket("ws://" + window.location.host + "/ws/blog/");

  let form = document.getElementById("formCreateBlog");
  form.addEventListener("submit", (e) => {
    e.preventDefault();
    console.log(e);
    let title = e.target.title.value;
    let content = e.target.content.value;

    socket.send(
      JSON.stringify({
        title: title,
        content: content,
      })
    );
    form.reset();
  });
</script>
{% endblock script %}
